Subject: bug#37527: [PATCH] Install C source code for for debugging help

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Jan 2020 00:58:11 -0800

On 1/21/20 7:31 PM, Eli Zaretskii wrote:
> Then I still think an additional variable might be a better solution,
> because the original source tree might still exist, and so losing the
> information about its location would be a disadvantage.

? The code in question does not lose information about the location of the 
original source tree. On the contrary, it supplies that information.

If you're suggesting that every installed Emacs should contain a string pointing 
to where it was built, I'm not sure that's a good idea. Generally speaking, 
builds should be reproducible and build products should not contain unimportant 
information about the build (such as timestamps and whatnot) as that makes it 
harder to reproduce them later.